# Method: projects.create

- [HTTP request](https://developers.google.com/apps-script/api/reference/rest/v1/projects/create#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/apps-script/api/reference/rest/v1/projects/create#body.request_body)
  - [JSON representation](https://developers.google.com/apps-script/api/reference/rest/v1/projects/create#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/apps-script/api/reference/rest/v1/projects/create#body.response_body)
- [Authorization Scopes](https://developers.google.com/apps-script/api/reference/rest/v1/projects/create#body.aspect)
- [Try it!](https://developers.google.com/apps-script/api/reference/rest/v1/projects/create#try-it)

Creates a new, empty script project with no script files and a base manifest file.

### HTTP request

`POST https://script.googleapis.com/v1/projects`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "title": string, "parentId": string } ``` |

| Fields ||
|---|---|
| `title` | `string` The title for the project. |
| `parentId` | `string` The Drive ID of a parent file that the created script project is bound to. This is usually the ID of a Google Doc, Google Sheet, Google Form, or Google Slides file. If not set, a standalone script project is created. |

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/apps-script/api/reference/rest/v1/projects#Project`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/script.projects`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).